### Method

# Cogl Framebuffer get_viewport4fv

#### Declaration [src]

    void
    cogl_framebuffer_get_viewport4fv (
      CoglFramebuffer* framebuffer,
      float* viewport
    )

#### Description [src]

Queries the x, y, width and height components of the current viewport as set using `cogl_framebuffer_set_viewport()` or the default values which are 0, 0, framebuffer_width and framebuffer_height. The values are written into the given `viewport` array.

#### Parameters

`viewport`

  Type: An array of `float`

  A pointer to an array of 4 floats to receive the (x, y, width, height) components of the current viewport.

  The argument will be set by the function.
  The array must have 4 elements.
  The returned data is owned by the instance.